Page MenuHomePhabricator

Convert ContributionTracking to use extension registration
Closed, ResolvedPublic

Description

The ContributionTracking extension needs to be converted to use the new extension registration system. More details are available on T87875.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2015, 7:31 PM

Change 213315 had a related patch set uploaded (by Parent5446):
Updated extension registration to new system

https://gerrit.wikimedia.org/r/213315

Change 213315 merged by jenkins-bot:
Updated extension registration to new system

https://gerrit.wikimedia.org/r/213315

awight closed this task as Resolved.Aug 11 2015, 7:08 PM
awight added a subscriber: awight.
Liuxinyu970226 set Security to None.
hashar added a subscriber: hashar.May 29 2018, 8:55 AM

With extension registration some defaults are no more applied and are left as NULL instead. The PHP file had:

$wgContributionTrackingDBserver = $wgDBserver;
$wgContributionTrackingDBname = $wgDBname;
$wgContributionTrackingDBuser = $wgDBuser;
$wgContributionTrackingDBpassword = $wgDBpassword;

Filled as T195814